# GRAY User Agreement (2022.11.18)

Copyright (c) 2007-2022, ISTP-CNR

GRAY (the Software) was developed by the Institute for Plasma Science
and Technology (ISTP), formerly Institute for Plasma Physics (IFP),
National Research Council of Italy (CNR) and its development was partly
funded by Euratom (under EFDA and EUROfusion consortium agreements). Its
distribution is subject to requirements and restrictions imposed by CNR
and Euratom.

In order to acquire access to the code sources, the recipient agrees:

1. To use the Software exclusively for non-commercial research purposes.
2. Not to use the Software for military purposes or any other purpose
falling under the provisions for non-proliferation.
3. To receive the Software "as is", without any warranty that the
Software is in good running order and that its use will not involve any
infringement of copyright; no liability can be accepted for damage or
injury arising from use of the Software.
4. To notify the authors of the Software if they discover that the
Software contains any error or infringes any copyright.
5. To use the Software without modification; users however are
welcome to request changes, or to contribute modifications subject to
approval of the authors.
6. To include in published results or presentations the proper code
name "GRAY" and appropriate references.
7. If the copy of the Software downloaded by the authorized user is made
available to third parties, to ensure that the user agreement is
distributed to and followed by the third parties.

---

The reference paper for GRAY, to be cited in publications containing
results obtained with this Software, is:

[D. Farina, *Fusion Sci. Technol.* **52** (2007)
154](https://doi.org/10.13182/FST07-A1494).

The parallel-momentum-conserving solver for Current Drive computation
is based on routines developed by N. B. Marushchenko, Max Planck
Institute of Plasma Physics, Greifswald, Germany. This solver can be
referenced by citing:

[N. B. Marushchenko, C. D. Beidler, and H. Maassberg, *Fusion Sci.
Technol.* **55** (2009) 180](https://doi.org/10.13182/FST55-180).

GRAY includes adaptations of software developed by the University of
Chicago, as Operator of Argonne National Laboratory, and other public
domain libraries
([`dierckx`](https://netlib.org/dierckx/),
[`minpack`](https://netlib.org/minpack/),
[`quadpack`](https://netlib.org/quadpack/),
[`slatec`](https://netlib.org/slatec/))
obtained from the [Netlib](https://netlib.org/) repository.

The full license notice for the `minpack` library can be found in the
[documentation](./minpack-LICENSE.txt).
