#!/usr/bin/env gnuplot

set style line 1 lt 1 lw 1 lc rgb "black"     pt 6 #mat
set style line 2 lt 1 lw 1 lc rgb "red"       pt 1 #v1
set style line 3 lt 1 lw 1 lc rgb "blue"      pt 2 #v2
set style line 4 lt 1 lw 1 lc rgb "web-green" pt 3 #v3
set style line 5 lt 3 lw 2 lc rgb "black"     pt 6 #mat    sum
set style line 6 lt 3 lw 2 lc rgb "red"       pt 1 #v1     sum
set style line 7 lt 3 lw 2 lc rgb "blue"      pt 2 #v2     sum
set style line 8 lt 3 lw 2 lc rgb "web-green" pt 4 #v3     sum

set xrange[0.6:0.95]
set yrange[0:*]
set xlabel "{/Symbol r}"
set ylabel "J_{cd} (kA/m^2)"

set term postscript color dashed dl 2 enhanced font "Helvetica,16"
set output 'profilesJ_USM_v5_v7.ps'
#set term aqua 0 dashed enhanced font "Helvetica,16"
#set output
#test
set key nobox outside right title 'USM'
plot \
  'f48_t520_scan_v5-121015_AB_1ray.txt'        u (int(abs($2))%3==0?$4:1/0):(-$6*1000) w l ls 3 t 'AB v5', \
  'f48_t520_scan_v7-121116_AB_1ray.txt'        u (int(abs($2))%3==0?$4:1/0):(-$6*1000) w l ls 2 t 'AB v7', \
  'f48sum_USM_t520_scan_v5-121015_AB_1ray.txt' u (int(abs($2))%3==0?$4:1/0):(-$6*1000) w l ls 7 not, \
  'f48sum_USM_t520_scan_v7-121116_AB_1ray.txt' u (int(abs($2))%3==0?$4:1/0):(-$6*1000) w l ls 6 not
